Skip to main content
`Ctrl`+`K`

# ISLocalToGlobalMappingGetNodeInfo

Gets the neighbor information of local nodes

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISLocalToGlobalMappingGetNodeInfo(ISLocalToGlobalMapping mapping, PetscInt *n, PetscInt *n_procs[], PetscInt **procs[])

Collective the first time it is called

## Input Parameter

- mapping - the mapping from local to global indexing

## Output Parameters

- n - number of local nodes

- n_procs - an array storing the number of processes for each local node (including self)

- procs - the processes’ rank for each local node (sorted, self is first)

## Note

The user needs to call `ISLocalToGlobalMappingRestoreNodeInfo()` when the data is no longer needed.

## See Also

Low-level Vector Communication, `ISLocalToGlobalMappingDestroy()`, `ISLocalToGlobalMappingCreateIS()`, `ISLocalToGlobalMappingCreate()`, `ISLocalToGlobalMappingGetInfo()`, `ISLocalToGlobalMappingRestoreNodeInfo()`, `ISLocalToGlobalMappingGetBlockNodeInfo()`

## Level

advanced

## Location

src/vec/is/utils/isltog.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages